{-# LANGUAGE OverloadedStrings #-}

module Main where

import           Control.Concurrent.Async (wait)
import           Pipes.IRC.Server         (startIrcServer)
import           Pipes.IRC.Server.Types   (IrcConfig (..))
import           Pipes.Network.TCP        (HostPreference (..))

main :: IO ()
main =
  let
    ircConf =
      IrcConfig { _ircPort = "6665"
                , _ircHost = Host "0.0.0.0"
                , _ircHostName = "pinealservo.com"
                , _ircMotd = ["Welcome to the IRC Server!"]
                , _ircPass = Nothing
                }
  in do
    listener <- startIrcServer ircConf
    wait listener
